#!/bin/sh

brew update && brew install stunnel

# make place for run and log
echo "You may want to create /var/{run,log}/stunnel4 as sudo using the following command:"
echo "    sudo mkdir -p /var/run/stunnel4 /var/log/stunnel4"

# This may fail if not run as sudo.
mkdir -p /var/run/stunnel4 /var/log/stunnel4

# -------------
# Config

if [ -e "stunnel.conf" ]; then
	cp stunnel.conf /usr/local/etc/stunnel/stunnel.conf
else
	echo "Create an stunnel.conf or use one of the examples."
fi

# -------------
# Keys

if [ -e "fullchain.pem" ]; then
	cp fullchain.pem /usr/local/etc/stunnel/stunnel.fullchain.pem
else
	echo "Did not find fullchain.pem, install to /usr/local/etc/stunnel/stunnel.fullchain.pem"
fi

if [ -e "privkey.pem" ]; then
	cp privkey.pem /usr/local/etc/stunnel/stunnel.key.pem
else
	echo "Did not find privkey.pem, install to /usr/local/etc/stunnel/stunnel.key.pem"
fi

